> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a friend content

> Fetch details from Mention Me with which to build a "find a friend" page. This will include an initial CTA, such as "Been referred by a friend?" as well as specific content which you can use to build the page.

Using this API to build your content will allow you to keep your content up to date with the latest content managed in Mention Me.

You should call this API once when your page is loaded, e.g. on the checkout page, and use it to populate the page.



## OpenAPI

````yaml /openapi/consumer_api.oas.json get /api/consumer/{version}/referrer/search/content
openapi: 3.0.0
info:
  title: Consumer API
  description: Create your own front end for the referral journey using our Consumer API.
  termsOfService: https://mention-me.com/help/tnc_f/site
  version: v2
servers:
  - url: https://mention-me.com
    description: Production
  - url: https://demo.mention-me.com
    description: Demo
security: []
tags:
  - name: Record Order
  - name: Enrol Referrer
  - name: Get referrer dashboard
  - name: Find referrer by name
  - name: Link new customer to referrer
paths:
  /api/consumer/{version}/referrer/search/content:
    get:
      tags:
        - Find referrer by name
      summary: Find a friend content
      description: >-
        Fetch details from Mention Me with which to build a "find a friend"
        page. This will include an initial CTA, such as "Been referred by a
        friend?" as well as specific content which you can use to build the
        page.


        Using this API to build your content will allow you to keep your content
        up to date with the latest content managed in Mention Me.


        You should call this API once when your page is loaded, e.g. on the
        checkout page, and use it to populate the page.
      operationId: get_api_name_search_content
      parameters:
        - name: version
          in: path
          description: Version
          required: true
          schema:
            type: string
            pattern: v2|v1
            enum:
              - v2
              - v1
          example: v2
        - name: request[partnerCode]
          in: query
          description: Your partner code, used to link to your users and offers
          required: true
          schema:
            type: string
          example: '[YOUR-PARTNER-CODE]'
        - name: request[situation]
          in: query
          description: >-
            Situation - a string representing where in the application you are
            making this request
          required: true
          schema:
            type: string
          example: mobile-app
        - name: request[localeCode]
          in: query
          description: >-
            Locale code - ISO standard locale code (e.g. en_GB) for the locale
            you expect the content to be in
          required: true
          schema:
            type: string
        - name: request[userDeviceIdentifier]
          in: query
          description: >-
            User Device Identifier should be a unique reference to this
            combination of app + user.
          required: false
          schema:
            type: string
        - name: request[deviceType]
          in: query
          description: >-
            Device type - your description of the device the user is using. We
            use this for performance and conversion optimisation.
          required: false
          schema:
            type: string
        - name: request[appName]
          in: query
          description: Your application name. Used for reporting.
          required: false
          schema:
            type: string
        - name: request[appVersion]
          in: query
          description: >-
            Your application version reference. Used for reporting and
            troubleshooting.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Returned when successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefereeContent'
        '403':
          description: Returned when the integration for this merchant is not enabled
        '404':
          description: Returned when it is not possible to an offer to render content for
        '500':
          description: The request contains errors
        '503':
          description: The service was unavailable, try again shortly
components:
  schemas:
    RefereeContent:
      properties:
        entryCta:
          title: The Call to Action the user uses to start the journey.
          description: e.g. "Been referred by a friend?"
          type: string
        headline:
          title: >-
            A headline to display to users when they open the NameSearch
            journey.
          description: e.g. "Who referred you to us?"
          type: string
        searchText:
          title: >-
            A headline to display to users when they open the NameSearch
            journey.
          description: >-
            e.g. "Enter your friends name so we can thank them for referring you
            to us."
          type: string
        searchCta:
          title: The Call to Action on the button.
          description: e.g. "Find them"
          type: string
        nameInputPlaceholder:
          title: A placeholder string to display in the name input field.
          description: e.g. "Your friend's name"
          type: string
        emailInputPlaceholder:
          title: A placeholder string to display in the email input field.
          description: e.g. "Your friend's email"
          type: string
      type: object

````